KSelectAction class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KSelectAction Class Reference

Action for selecting one of several items. Action for selecting one of several items. More...

`#include <kaction.h>`

Inheritance diagram for KSelectAction:

[legend]
Collaboration diagram for KSelectAction:

[legend]
List of all members.

## Public Slots
virtual void | setCurrentItem (int index)
| Sets the currently checked item.
virtual void | setItems (const QStringList &lst)
| Sets the items to be displayed in this action You need to call this.
virtual void | clear ()
| Clears up all the items in this action.
virtual void | setEditable (bool)
| When this action is plugged into a toolbar, it creates a combobox.
virtual void | setComboWidth (int width)
| When this action is plugged into a toolbar, it creates a combobox.
## Signals
void | activated (int index)
void | activated (const QString &text)
## Public Member Functions
| KSelectAction (const QString &text, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| Constructs a select action with text and potential keyboard accelerator but nothing else.
| KSelectAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KSelectAction (const QString &text, const QIconSet &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KSelectAction (const QString &text, const QString &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KSelectAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KSelectAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KSelectAction (QObject *parent=0, const char *name=0)
virtual | ~KSelectAction ()
| Destructor.
virtual int | plug (QWidget *widget, int index=-1)
| "Plug" or insert this action into a given widget.
virtual bool | isEditable () const
| When this action is plugged into a toolbar, it creates a combobox.
virtual QStringList | items () const
virtual void | changeItem (int index, const QString &text)
virtual QString | currentText () const
virtual int | currentItem () const
virtual int | comboWidth () const
| When this action is plugged into a toolbar, it creates a combobox.
QPopupMenu * | popupMenu () const
void | setRemoveAmpersandsInCombo (bool b)
| Deprecated.
bool | removeAmpersandsInCombo () const
| Since: 3.1
void | setMenuAccelsEnabled (bool b)
| Sets whether any occurence of the ampersand character ( & ) in items should be interpreted as keyboard accelerator for items displayed in a menu or not.
bool | menuAccelsEnabled () const
| Since: 3.1
## Protected Slots
virtual void | slotActivated (int id)
virtual void | slotActivated (const QString &text)
virtual void | slotActivated ()
## Protected Member Functions
virtual void | changeItem (int id, int index, const QString &text)
QStringList | comboItems () const
| Depending on the menuAccelsEnabled property this method will return the actions items in a way for inclusion in a combobox with the ampersand character removed from all items or not.
virtual void | updateCurrentItem (int id)
virtual void | updateComboWidth (int id)
virtual void | updateItems (int id)
virtual void | updateClear (int id)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Action for selecting one of several items. Action for selecting one of several items.

This action shows up a submenu with a list of items. One of them can be checked. If the user clicks on an item this item will automatically be checked, the formerly checked item becomes unchecked. There can be only one item checked at a time.

Definition at line 854 of file kaction.h.

## Constructor & Destructor Documentation

KSelectAction::KSelectAction | ( | const QString & | text,
|  | const KShortcut & | cut = KShortcut(),
|  | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Constructs a select action with text and potential keyboard accelerator but nothing else. Use this only if you really know what you are doing. Parameters:
  text | The text that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1468 of file kaction.cpp. References KStdAccel::cut(), and QObject::name().

KSelectAction::KSelectAction | ( | const QString & | text,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1475 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KSelectAction::KSelectAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut = KShortcut(),
|  | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The icons that go with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1483 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KSelectAction::KSelectAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut = KShortcut(),
|  | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The dynamically loaded icon that goes with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1491 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KSelectAction::KSelectAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The icons that go with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1499 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KSelectAction::KSelectAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The dynamically loaded icon that goes with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1509 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KSelectAction::KSelectAction | ( | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Parameters:
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1519 of file kaction.cpp. References KStdAccel::name().

KSelectAction::~KSelectAction | ( |  | ) | `[virtual]`

| Destructor. Definition at line 1525 of file kaction.cpp.

## Member Function Documentation

int KSelectAction::plug | ( | QWidget * | widget,
|  | int | index = -1
| ) | `[virtual]`

  | "Plug" or insert this action into a given widget. This will typically be a menu or a toolbar. From this point on, you will never need to directly manipulate the item in the menu or toolbar. You do all enabling/disabling/manipulation directly with your KSelectAction object. Parameters:
  widget | The GUI element to display this action.
  index | The index of the item.
Reimplemented from KAction. Definition at line 1728 of file kaction.cpp. References comboItems(), QObject::connect(), QObject::destroyed(), KToolBar::getCombo(), KAction::iconSet(), KToolBar::insertCombo(), QPopupMenu::insertItem(), isEditable(), QString::isEmpty(), KAction::isEnabled(), QObject::name(), QComboBox::setInsertionPolicy(), QPopupMenu::setItemEnabled(), QPopupMenu::setWhatsThis(), KAction::text(), KAction::toolTip(), and KAction::whatsThis().

bool KSelectAction::isEditable | ( |  | ) | const`[virtual]`

| When this action is plugged into a toolbar, it creates a combobox. Returns: true if the combo editable. Definition at line 1879 of file kaction.cpp. Referenced by plug().

QStringList KSelectAction::items | ( |  | ) | const`[virtual]`

| Returns: the items that can be selected with this action. Use setItems to set them. Definition at line 1656 of file kaction.cpp. Referenced by KRecentFilesAction::addURL(), KRecentFilesAction::removeURL(), KRecentFilesAction::saveEntries(), and KRecentFilesAction::setMaxItems().

int KSelectAction::comboWidth | ( |  | ) | const`[virtual]`

| When this action is plugged into a toolbar, it creates a combobox. This returns the maximum width set by setComboWidth Definition at line 1689 of file kaction.cpp.

void KSelectAction::setRemoveAmpersandsInCombo | ( | bool | b | ) |

| Deprecated. See setMenuAccelsEnabled . Since: 3.1 Definition at line 1884 of file kaction.cpp. References setMenuAccelsEnabled().

bool KSelectAction::removeAmpersandsInCombo | ( |  | ) | const

| Since: 3.1 Definition at line 1889 of file kaction.cpp. References menuAccelsEnabled().

void KSelectAction::setMenuAccelsEnabled | ( | bool | b | ) |

| Sets whether any occurence of the ampersand character ( & ) in items should be interpreted as keyboard accelerator for items displayed in a menu or not. Since: 3.1 Definition at line 1894 of file kaction.cpp. Referenced by setRemoveAmpersandsInCombo().

bool KSelectAction::menuAccelsEnabled | ( |  | ) | const

| Since: 3.1 Definition at line 1899 of file kaction.cpp. Referenced by removeAmpersandsInCombo().

void KSelectAction::setCurrentItem | ( | int | index | ) | `[virtual, slot]`

  | Sets the currently checked item. Parameters:
  index | Index of the item (remember the first item is zero).
Reimplemented in KListAction. Definition at line 1532 of file kaction.cpp. Referenced by KListAction::setCurrentItem().

void KSelectAction::setItems | ( | const QStringList & | lst | ) | `[virtual, slot]`

| Sets the items to be displayed in this action You need to call this. Definition at line 1629 of file kaction.cpp. References KAction::setEnabled(). Referenced by KRecentFilesAction::addURL(), KRecentFilesAction::loadEntries(), KRecentFilesAction::removeURL(), and KRecentFilesAction::setMaxItems().

void KSelectAction::clear | ( |  | ) | `[virtual, slot]`

| Clears up all the items in this action. Definition at line 1811 of file kaction.cpp. Referenced by KRecentFilesAction::clearURLList().

void KSelectAction::setEditable | ( | bool |  | ) | `[virtual, slot]`

| When this action is plugged into a toolbar, it creates a combobox. This makes the combo editable or read-only. Definition at line 1874 of file kaction.cpp.

void KSelectAction::setComboWidth | ( | int | width | ) | `[virtual, slot]`

| When this action is plugged into a toolbar, it creates a combobox. This gives a _maximum_ size to the combobox. The minimum size is automatically given by the contents (the items). Definition at line 1559 of file kaction.cpp.

QStringList KSelectAction::comboItems | ( |  | ) | const`[protected]`

| Depending on the menuAccelsEnabled property this method will return the actions items in a way for inclusion in a combobox with the ampersand character removed from all items or not. Since: 3.1 Definition at line 1792 of file kaction.cpp. References QString::find(), and QString::remove(). Referenced by plug().

The documentation for this class was generated from the following files:

- kaction.h
- kaction.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:04:48 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001